# ConfigFile Class Reference

Classe statique servant à charger/récupérer/écrire les différents paramètres du fichier de configuration. More...

List of all members.

## Static Public Member Functions

static String | getBddIpaddress ()
| Accesseur IP.
static String | getBddSchema ()
| Accesseur schéma.
static String | getBddUser ()
| Accesseur utilisateur.
static Integer | getBddSavepassword ()
| Accesseur enregistrement mdp.
static String | getBddPassword ()
| Accesseur mdp.
static void | read ()
| Ouvre le fichier de configuration (placé dans le dossier d'éxécution) et met à jour les variables de la classe.
static void | write (String sIP, String sSchema, String sUser, Integer nSavePassword, String sPassword)

## Detailed Description

Classe statique servant à charger/récupérer/écrire les différents paramètres du fichier de configuration.

Warning:
  Le fichier de configuration doit être dans le même dossier que l'éxécutable java

## Member Function Documentation

static String ConfigFile.getBddIpaddress | ( |  | ) | `[static]`

Accesseur IP.

static String ConfigFile.getBddPassword | ( |  | ) | `[static]`

Accesseur mdp.

static Integer ConfigFile.getBddSavepassword | ( |  | ) | `[static]`

Accesseur enregistrement mdp.

static String ConfigFile.getBddSchema | ( |  | ) | `[static]`

Accesseur schéma.

static String ConfigFile.getBddUser | ( |  | ) | `[static]`

Accesseur utilisateur.

static void ConfigFile.read | ( |  | ) | `[static]`

Ouvre le fichier de configuration (placé dans le dossier d'éxécution) et met à jour les variables de la classe.

static void ConfigFile.write | ( | String | sIP,
|  | String | sSchema,
|  | String | sUser,
|  | Integer | nSavePassword,
|  | String | sPassword |
| ) |  |  | `[static]`

Ecrit le fichier de configuration avec les variables stockées dans la classe
Les paramètres de la méthode sont les variables à enregistrer dans le fichier

The documentation for this class was generated from the following file:

- /media/data/ProjWeb/Java/ConfigFile.java